import http from "@ohos.net.http";

import libRtsSDK from "librtssdk.so";

export function OhosHttpRequest(e, t, s, o, r) {
  let l = {
    method: s ? http.RequestMethod.POST : http.RequestMethod.GET
  };
  null != o && (l.header = o);
  null != r && (l.extraData = r);
  console.debug("[ArkTS HttpTool]Request:isPost=" + s.toString() + ",url=" + e);
  let i = http.createHttp();
  i.on("headersReceive", (e => {
    console.debug("header: " + JSON.stringify(e));
  }));
  i.request(e, l, ((o, r) => {
    if (!o && r) {
      let o = null !== r.result && void 0 !== r.result ? r.result.toString() : "";
      let l = null !== r.responseCode && void 0 !== r.responseCode ? r.responseCode.toString() : "";
      console.debug("[ArkTS HttpTool] isPost:" + s.toString() + ",url=" + e + ", code=" + l + ", response:" + o);
      libRtsSDK.onHttpResponse(t, l, o);
      i.off("headersReceive");
      i.destroy();
    } else {
      console.error("[ArkTS HttpTool] isPost:" + s.toString() + ",url=" + e + "failed..");
      libRtsSDK.onHttpResponse(t, "701", "httpRequest Syscall Failed");
      i.off("headersReceive");
      i.destroy();
    }
  }));
}

export class RtsSDK {
  static RegisterRtsSDK() {
    libRtsSDK.threadsafeRegisterNapiFunc(OhosHttpRequest);
  }
}