export class VidPlayerConfigGen {
    constructor() {
        this.configMap = new Map();
    }
    addPlayerConfigNumber(v41, w41) {
        if (v41 != null) {
            this.configMap.set(v41, w41);
        }
    }
    addPlayerConfigString(t41, u41) {
        if (t41 != null) {
            this.configMap.set(t41, u41);
        }
    }
    setPreviewTime(s41) {
        this.addPlayerConfigNumber("PreviewTime", s41);
    }
    setEncryptType(r41) {
        if (r41 == EncryptType.AliyunVodEncryption) {
            this.addPlayerConfigString("EncryptType", "AliyunVoDEncryption");
        }
        else if (r41 == EncryptType.HLSEncryption) {
            this.addPlayerConfigString("EncryptType", "HLSEncryption");
        }
        else if (r41 == EncryptType.Unencrypted) {
            this.addPlayerConfigString("EncryptType", "Unencrypted");
        }
    }
    setMtsHlsUriToken(q41) {
        this.addPlayerConfigString("MtsHlsUriToken", q41);
    }
    genConfig() {
        let m41 = {};
        if (this.configMap.size == 0) {
            return "";
        }
        this.configMap.forEach((o41, p41) => {
            if (p41 != undefined && o41 != undefined) {
                m41[p41] = o41;
            }
        });
        return JSON.stringify(m41);
    }
}
export var EncryptType;
(function (l41) {
    l41[l41["Unencrypted"] = 0] = "Unencrypted";
    l41[l41["AliyunVodEncryption"] = 1] = "AliyunVodEncryption";
    l41[l41["HLSEncryption"] = 2] = "HLSEncryption";
})(EncryptType || (EncryptType = {}));
