import { SourceBase } from "./SourceBase";
export class LiveSts extends SourceBase {
    constructor() {
        super();
        this.nativeGetEncryptionTypeValue = () => {
            return this.mEncryptionType;
        };
        this.nativeSetEncryptionType = (u34) => {
            this.mEncryptionType = u34;
        };
        this.nativeGetSecurityToken = () => {
            return this.mSecurityToken;
        };
        this.nativeSetSecurityToken = (t34) => {
            this.mSecurityToken = t34;
        };
        this.nativeGetAccessKeyId = () => {
            return this.mAccessKeyId;
        };
        this.nativeSetAccessKeyId = (s34) => {
            this.mAccessKeyId = s34;
        };
        this.nativeGetAccessKeySecret = () => {
            return this.mAccessKeySecret;
        };
        this.nativeSetAccessKeySecret = (r34) => {
            this.mAccessKeySecret = r34;
        };
        this.nativeGetRegion = () => {
            return this.mRegion;
        };
        this.nativeSetRegion = (q34) => {
            this.mRegion = q34;
        };
        this.nativeGetUrl = () => {
            return this.mUrl;
        };
        this.nativeSetUrl = (p34) => {
            this.mUrl = p34;
        };
        this.nativeGetDomain = () => {
            return this.mDomain;
        };
        this.nativeSetDomain = (o34) => {
            this.mDomain = o34;
        };
        this.nativeGetApp = () => {
            return this.mApp;
        };
        this.nativeSetApp = (n34) => {
            this.mApp = n34;
        };
        this.nativeGetStream = () => {
            return this.mStream;
        };
        this.nativeSetStream = (m34) => {
            this.mStream = m34;
        };
        this.mAccessKeyId = "";
        this.mAccessKeySecret = "";
        this.mSecurityToken = "";
        this.mRegion = "";
        this.mUrl = "";
        this.mDomain = "";
        this.mApp = "";
        this.mStream = "";
        this.mEncryptionType = LiveEncryptionType.NoEncryption;
    }
    getEncryptionTypeValue() {
        return this.mEncryptionType;
    }
    setEncryptionType(t33) {
        this.mEncryptionType = t33;
    }
    getSecurityToken() {
        return this.mSecurityToken;
    }
    setSecurityToken(s33) {
        this.mSecurityToken = s33;
    }
    getAccessKeyId() {
        return this.mAccessKeyId;
    }
    setAccessKeyId(r33) {
        this.mAccessKeyId = r33;
    }
    getAccessKeySecret() {
        return this.mAccessKeySecret;
    }
    setAccessKeySecret(q33) {
        this.mAccessKeySecret = q33;
    }
    getRegion() {
        return this.mRegion;
    }
    setRegion(p33) {
        this.mRegion = p33;
    }
    getUrl() {
        return this.mUrl;
    }
    setUrl(o33) {
        this.mUrl = o33;
    }
    getDomain() {
        return this.mDomain;
    }
    setDomain(n33) {
        this.mDomain = n33;
    }
    getApp() {
        return this.mApp;
    }
    setApp(m33) {
        return this.mApp = m33;
    }
    getStream() {
        return this.mStream;
    }
    setStream(l33) {
        this.mStream = l33;
    }
}
export var LiveEncryptionType;
(function (k33) {
    k33[k33["NoEncryption"] = 0] = "NoEncryption";
    k33[k33["AliEncryption"] = 1] = "AliEncryption";
    k33[k33["WideVine_FairPlay"] = 2] = "WideVine_FairPlay";
})(LiveEncryptionType || (LiveEncryptionType = {}));
