export var InfoCode;
(function (p20) {
    p20[p20["Unknown"] = -1] = "Unknown";
    p20[p20["LoopingStart"] = 0] = "LoopingStart";
    p20[p20["BufferedPosition"] = 1] = "BufferedPosition";
    p20[p20["CurrentPosition"] = 2] = "CurrentPosition";
    p20[p20["AutoPlayStart"] = 3] = "AutoPlayStart";
    p20[p20["CurrentDownloadSpeed"] = 4] = "CurrentDownloadSpeed";
    p20[p20["UtcTime"] = 5] = "UtcTime";
    p20[p20["LocalCacheLoaded"] = 6] = "LocalCacheLoaded";
    p20[p20["SwitchToSoftwareVideoDecoder"] = 100] = "SwitchToSoftwareVideoDecoder";
    p20[p20["AudioCodecNotSupport"] = 101] = "AudioCodecNotSupport";
    p20[p20["AudioDecoderDeviceError"] = 102] = "AudioDecoderDeviceError";
    p20[p20["VideoCodecNotSupport"] = 103] = "VideoCodecNotSupport";
    p20[p20["VideoDecoderDeviceError"] = 104] = "VideoDecoderDeviceError";
    p20[p20["VideoRenderInitError"] = 105] = "VideoRenderInitError";
    p20[p20["DemuxerTraceID"] = 106] = "DemuxerTraceID";
    p20[p20["NetworkRetry"] = 108] = "NetworkRetry";
    p20[p20["CacheSuccess"] = 109] = "CacheSuccess";
    p20[p20["CacheError"] = 110] = "CacheError";
    p20[p20["LowMemory"] = 111] = "LowMemory";
    p20[p20["NetworkRetrySuccess"] = 113] = "NetworkRetrySuccess";
    p20[p20["SubtitleSelectError"] = 114] = "SubtitleSelectError";
    p20[p20["DirectComponentMSG"] = 116] = "DirectComponentMSG";
    p20[p20["DemuxerSegmentOpenFailed"] = 119] = "DemuxerSegmentOpenFailed";
    p20[p20["RTSServerMaybeDisconnect"] = 805371905] = "RTSServerMaybeDisconnect";
    p20[p20["RTSServerRecover"] = 805371906] = "RTSServerRecover";
})(InfoCode || (InfoCode = {}));
export function getEnumValues(k20) {
    return Object.keys(k20)
        .filter(o20 => !isNaN(Number(k20[o20])))
        .map(n20 => k20[n20]);
}
export function findInfoCodeByValue(h20) {
    const i20 = getEnumValues(InfoCode);
    for (const j20 of i20) {
        if (j20 === h20) {
            return j20;
        }
    }
    return InfoCode.Unknown;
}
