import premierlibrary from 'libpremierlibrary.so';
export class ListPlayerBase {
    constructor(f22, g22, h22, i22) {
        this.mNativeContext = 0;
        this.getNativeContext = () => {
            return this.mNativeContext;
        };
        this.setNativeContext = (l22) => {
            this.mNativeContext = l22;
        };
        premierlibrary.nListConstruct(this, g22, h22, i22);
    }
    stop() {
        premierlibrary.nListStop(this);
    }
    removeSource(e22) {
        premierlibrary.nListRemoveSource(this, e22);
    }
    clear() {
        premierlibrary.nListClear(this);
    }
    getCurrentUid() {
        return premierlibrary.nListGetCurrentUid(this);
    }
    setPreloadCount(d22) {
        premierlibrary.nListSetPreloadCount(this, d22);
    }
    setPreloadCountWithPrevAndNext(b22, c22) {
        premierlibrary.nListSetPreloadCountWithPrevAndNext(this, b22, c22);
    }
    setPreloadScene(a22) {
        premierlibrary.nListSetPreloadScene(this, a22);
    }
    enablePreloadStrategy(y21, z21) {
        premierlibrary.nListEnablePreloadStrategy(this, y21, z21);
    }
    setPreloadStrategyParam(w21, x21) {
        premierlibrary.nListSetPreloadStrategyParam(this, w21, x21);
    }
    setMaxPreloadMemorySizeMB(v21) {
        premierlibrary.nListSetMaxPreloadMemorySizeMB(this, v21);
    }
    getMaxPreloadMemorySizeMB() {
        return premierlibrary.nListGetMaxPreloadMemorySizeMB(this);
    }
    SetMultiBitratesMode(u21) {
        premierlibrary.nListSetMultiBitratesMode(this, u21);
    }
    GetMultiBitratesMode() {
        return premierlibrary.nListGetMultiBitratesMode(this);
    }
    release() {
        premierlibrary.nListRelease(this);
    }
}
