import { SourceBase } from './SourceBase';
export class UrlSource extends SourceBase {
    constructor() {
        super();
        this.nativeGetUri = () => {
            return this.mUri;
        };
        this.nativeSetUri_ = (t36) => {
            this.mUri = t36;
        };
        this.nativeGetExtraInfo = () => {
            return this.mExtraInfo;
        };
        this.nativeSetExtraInfo = (s36) => {
            this.mExtraInfo = s36;
        };
        this.nativeGetCacheFilePath = () => {
            return this.mCacheFilePath;
        };
        this.nativeSetCacheFilePath = (r36) => {
            this.mCacheFilePath = r36;
        };
        this.nativeGetOriginSize = () => {
            return this.mOriginSize;
        };
        this.nativeSetOriginSize = (q36) => {
            this.mOriginSize = q36;
        };
        this.mUri = "";
        this.mCacheFilePath = "";
        this.mQuality = "AUTO";
        this.mForceQuality = true;
        this.mOriginSize = 0;
        this.mExtraInfo = "";
    }
    getUri() {
        return this.mUri;
    }
    getExtraInfo() {
        return this.mExtraInfo;
    }
    setExtraInfo(h36) {
        this.mExtraInfo = h36;
    }
    setUri(g36) {
        this.mUri = g36;
    }
    getCacheFilePath() {
        return this.mCacheFilePath;
    }
    setCacheFilePath(f36) {
        this.mCacheFilePath = f36;
    }
    getOriginSize() {
        return this.mOriginSize;
    }
    setOriginSize(e36) {
        this.mOriginSize = e36;
    }
}
