export class MediaInfo {
    constructor() {
        this.mVideoId = "";
        this.mTitle = "";
        this.mDuration = 0;
        this.mStatus = "";
        this.mCoverUrl = "";
        this.mMediaType = "";
        this.mTransCodeMode = "FastTranscode";
        this.mTotalBitrate = 0;
        this.mTrackInfos = [];
        this.mThumbnailList = [];
        this.nativeGetVideoId = () => {
            return this.mVideoId;
        };
        this.nativeSetVideoId = (o23) => {
            this.mVideoId = o23;
        };
        this.nativeGetTitle = () => {
            return this.mTitle;
        };
        this.nativeSetTitle = (n23) => {
            this.mTitle = n23;
        };
        this.nativeGetDuration = () => {
            return this.mDuration;
        };
        this.nativeSetDuration = (m23) => {
            this.mDuration = m23;
        };
        this.nativeGetStatus = () => {
            return this.mStatus;
        };
        this.nativeSetStatus = (l23) => {
            this.mStatus = l23;
        };
        this.nativeGetCoverUrl = () => {
            return this.mCoverUrl;
        };
        this.nativeSetCoverUrl = (k23) => {
            this.mCoverUrl = k23;
        };
        this.nativeGetMediaType = () => {
            return this.mMediaType;
        };
        this.nativeSetMediaType = (j23) => {
            this.mMediaType = j23;
        };
        this.nativeGetTransCodeMode = () => {
            return this.mTransCodeMode;
        };
        this.nativeSetTransCodeMode = (i23) => {
            this.mTransCodeMode = i23;
        };
        this.nativeGetTotalBitrate = () => {
            return this.mTotalBitrate;
        };
        this.nativeSetTotalBitrate = (h23) => {
            this.mTotalBitrate = h23;
        };
        this.nativeSetTrackInfos = (g23) => {
            if (g23 != null && g23.length > 0) {
                this.mTrackInfos = this.mTrackInfos.concat(g23);
            }
        };
        this.nativeSetThumbnailList = (f23) => {
            if (f23 != null && f23.length > 0) {
                this.mThumbnailList = this.mThumbnailList.concat(f23);
            }
        };
    }
    getTitle() {
        return this.nativeGetTitle();
    }
    getDuration() {
        return this.nativeGetDuration();
    }
    setDuration(m22) {
        this.nativeSetDuration(m22);
    }
    getStatus() {
        return this.nativeGetStatus();
    }
    getVideoId() {
        return this.nativeGetVideoId();
    }
    getCoverUrl() {
        return this.nativeGetCoverUrl();
    }
    getMediaType() {
        return this.nativeGetMediaType();
    }
    getTransCodeMode() {
        return this.nativeGetTransCodeMode();
    }
    getTotalBitrate() {
        return this.nativeGetTotalBitrate();
    }
    getTrackInfos() {
        return this.mTrackInfos;
    }
    getThumbnailList() {
        return this.mThumbnailList;
    }
}
